Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class ApplicationMetaData

    java.lang.Object
      org.jboss.metadata.MetaData
          org.jboss.metadata.ApplicationMetaData

All Implemented Interfaces:
  Cloneable, XmlLoadable

public class ApplicationMetaData
extends MetaData

The top level meta data from the jboss.xml and ejb-jar.xml descriptor.

Version:
  $Revision: 1.52.2.3 $
Author:
  Sebastien Alborini, Peter Antman, Scott Stark, Christian Riege, Christoph G. Jung., Thomas Diesler.

Field Summary
`static int` | `EJB_1x`
`static int` | `EJB_2x`
`protected int` | `ejbMinorVersion`
`protected int` | `ejbVersion` version of the dtd used to create ejb-jar.xml

Fields inherited from class org.jboss.metadata.MetaData
`log, TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`ApplicationMetaData()`

Method Summary
`void` | `addPluginData(String pluginName, Object pluginData)`
`AssemblyDescriptorMetaData` | `getAssemblyDescriptor()`
`BeanMetaData` | `getBeanByEjbName(String ejbName)` Get an EJB by its declared <ejb-name> tag
`ConfigurationMetaData` | `getConfigurationMetaDataByName(String name)`
`Iterator` | `getConfigurations()`
`boolean` | `getEnforceEjbRestrictions()`
`Iterator` | `getEnterpriseBeans()`
`InvokerProxyBindingMetaData` | `getInvokerProxyBindingMetaDataByName(String name)`
`Iterator` | `getInvokerProxyBindings()`
`String` | `getJmxName()`
`MessageDestinationMetaData` | `getMessageDestination(String name)`
`Object` | `getPluginData(String pluginName)`
`Iterator` | `getRelationships()` Get the container managed relations in this application.
`String` | `getResourceByName(String name)`
`URLClassLoader` | `getResourceCl()` Get the ClassLoader to load additional resources
`String` | `getSecurityDomain()`
`String` | `getUnauthenticatedPrincipal()`
`URL` | `getUrl()`
`String` | `getWebServiceContextRoot()`
`String` | `getWsdlPublishLocationByName(String name)`
`void` | `importEjbJarXml(Element element)` Import data provided by ejb-jar.xml
`void` | `importJbossXml(Element element)` Non-operation.
`boolean` | `isEJB1x()`
`boolean` | `isEJB21()`
`boolean` | `isEJB2x()`
`boolean` | `isExcludeMissingMethods()`
`void` | `setResourceClassLoader(URLClassLoader resourceCl)` Set the ClassLoader to load additional resources
`void` | `setSecurityDomain(String securityDomain)` Set the security domain for this web application
`void` | `setUnauthenticatedPrincipal(String unauthenticatedPrincipal)`
`void` | `setUrl(URL u)`
`void` | `setWebServiceContextRoot(String webServiceContextRoot)`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementAttribute, getElementContent, getElementContent, getFirstElementContent, getOptionalChild, getOptionalChild, getOptionalChildBooleanContent, getOptionalChildBooleanContent, getOptionalChildContent, getOptionalChildContent, getUniqueChild, getUniqueChildContent, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EJB_1x

    public static final int EJB_1x

See Also:
  Constant Field Values

### EJB_2x

    public static final int EJB_2x

See Also:
  Constant Field Values

### ejbVersion

    protected int ejbVersion

  version of the dtd used to create ejb-jar.xml

### ejbMinorVersion

    protected int ejbMinorVersion

Constructor Detail

### ApplicationMetaData

    public ApplicationMetaData()

Method Detail

### getResourceCl

    public URLClassLoader getResourceCl()

  Get the ClassLoader to load additional resources

### setResourceClassLoader

    public void setResourceClassLoader(URLClassLoader resourceCl)

  Set the ClassLoader to load additional resources

### getUrl

    public URL getUrl()

### setUrl

    public void setUrl(URL u)

### isEJB1x

    public boolean isEJB1x()

### isEJB2x

    public boolean isEJB2x()

### isEJB21

    public boolean isEJB21()

### getEnterpriseBeans

    public Iterator getEnterpriseBeans()

### getBeanByEjbName

    public BeanMetaData getBeanByEjbName(String ejbName)

  Get an EJB by its declared <ejb-name> tag

  Parameters:
    `ejbName` - EJB to return
  Returns:
    BeanMetaData pertaining to the given ejb-name, `null` if none found

### getWsdlPublishLocationByName

    public String getWsdlPublishLocationByName(String name)

### getWebServiceContextRoot

    public String getWebServiceContextRoot()

### setWebServiceContextRoot

    public void setWebServiceContextRoot(String webServiceContextRoot)

### getRelationships

    public Iterator getRelationships()

  Get the container managed relations in this application. Items are instance of RelationMetaData.

### getAssemblyDescriptor

    public AssemblyDescriptorMetaData getAssemblyDescriptor()

### getConfigurations

    public Iterator getConfigurations()

### getConfigurationMetaDataByName

    public ConfigurationMetaData getConfigurationMetaDataByName(String name)

### getInvokerProxyBindings

    public Iterator getInvokerProxyBindings()

### getInvokerProxyBindingMetaDataByName

    public InvokerProxyBindingMetaData getInvokerProxyBindingMetaDataByName(String name)

### getResourceByName

    public String getResourceByName(String name)

### addPluginData

    public void addPluginData(String pluginName,
                              Object pluginData)

### getPluginData

    public Object getPluginData(String pluginName)

### getJmxName

    public String getJmxName()

### getSecurityDomain

    public String getSecurityDomain()

### setSecurityDomain

    public void setSecurityDomain(String securityDomain)

  Set the security domain for this web application

### getUnauthenticatedPrincipal

    public String getUnauthenticatedPrincipal()

### setUnauthenticatedPrincipal

    public void setUnauthenticatedPrincipal(String unauthenticatedPrincipal)

### getEnforceEjbRestrictions

    public boolean getEnforceEjbRestrictions()

### isExcludeMissingMethods

    public boolean isExcludeMissingMethods()

### getMessageDestination

    public MessageDestinationMetaData getMessageDestination(String name)

### importEjbJarXml

    public void importEjbJarXml(Element element)
                         throws org.jboss.deployment.DeploymentException

  Import data provided by ejb-jar.xml

  Overrides:
    `importEjbJarXml` in class `MetaData`
  Parameters:
    `element` -
  Throws:
    `org.jboss.deployment.DeploymentException` - When there was an error encountered while parsing ejb-jar.xml

### importJbossXml

    public void importJbossXml(Element element)
                        throws org.jboss.deployment.DeploymentException

  Description copied from class: `MetaData`
  Non-operation.

  Overrides:
    `importJbossXml` in class `MetaData`
  Parameters:
    `element` -
  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.